/*
Interactions

Testing TasksAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package interactions

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/interactions"
)

func Test_interactions_TasksAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test TasksAPIService CreateTask", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.TasksAPI.CreateTask(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TasksAPIService DeleteChannelsChannelIdInteractionsIdTasksTaskId", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var taskId string
		var organizationId string

		httpRes, err := apiClient.TasksAPI.DeleteChannelsChannelIdInteractionsIdTasksTaskId(context.Background(), taskId, organizationId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TasksAPIService GetChannelsChannelIdInteractionsIdTasksTaskId", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var taskId string
		var organizationId string

		resp, httpRes, err := apiClient.TasksAPI.GetChannelsChannelIdInteractionsIdTasksTaskId(context.Background(), taskId, organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TasksAPIService GetTaskCompletionList", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.TasksAPI.GetTaskCompletionList(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TasksAPIService GetTasks", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.TasksAPI.GetTasks(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TasksAPIService MarkTaskAsClosed", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var completionId string

		httpRes, err := apiClient.TasksAPI.MarkTaskAsClosed(context.Background(), organizationId, completionId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TasksAPIService PutChannelsChannelIdInteractionsIdTasksTaskId", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var taskId string
		var organizationId string

		resp, httpRes, err := apiClient.TasksAPI.PutChannelsChannelIdInteractionsIdTasksTaskId(context.Background(), taskId, organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
